vim E492 Not an editor command Plugin xxxx

最近自用的 vim 装了不少插件,但是发现 kubectl edit 或者 git merge 时,调用 vim 总是会弹出各种错误,记录一下解决方法

出现这个错误一开始以为是 vim 没走 .vimrc 配置;后来翻了一堆资料,发现 kubectl edit 或者 git merge 后并非直接调用 vim,而是调用的 /usr/bin/view,那么看一下这个文件

view

这东西就是链接到了 vi,只要把它链接到 vim 就完了

relink view


本博客所有文章除特别声明外,均采用 CC BY-NC-SA 4.0 国际许可协议进行许可,转载请注明出处。